Subject: [secdir] SecDir review of draft-ietf-core-http-mapping-15

From: zhangdacheng <[email-masked]>
Date: Wed, 12 Oct 2016 10:30:47 +0000

Hello,

I have reviewed this document as part of the security directorate's ongoing effort to review all IETF documents being processed by the IESG. These comments were written primarily for the benefit of the security area directors.  Document editors and WG chairs should treat these comments just like any other last call comments.

I think this document is nearly ready for publication.

This document provides reference information for implementing a cross-protocol network proxy that performs translation from the HTTP protocol to CoAP.

The security considerations section is quite extensive. However, some contents in this section have not been well organized yet. The issues caused by lacking protection to multi-cast addresses has been discussed in sections 10.1, 10.2, 10.3, and 10.4. Same recommendation that requests to multicast resources are access controlled with a default-deny policy has been provided in both 10.1 and 10.4. I suggest to put the issues with multi cast into 10.1 and remove the redundant information in other places. In addition, it is a common method to deal with DoS attacks by limit the request rate. So, maybe it is worthwhile to mention this in section 10.2.